Package fr.gouv.vitam.storage.engine.common.model

# Enum Class QueueMessageType

java.lang.Object
java.lang.Enum<QueueMessageType>
fr.gouv.vitam.storage.engine.common.model.QueueMessageType

All Implemented Interfaces:
  `Serializable`, `Comparable<QueueMessageType>`, `Constable`

public enum QueueMessageType extends Enum<QueueMessageType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ReadOrder`
  `TapeCatalog`
  `WriteBackupOrder`
  `WriteOrder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<? extends QueueMessageEntity>`
  `getClazz()`
  `static QueueMessageType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static QueueMessageType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ReadOrder

    public static final QueueMessageType ReadOrder

  - ### WriteOrder

    public static final QueueMessageType WriteOrder

  - ### WriteBackupOrder

    public static final QueueMessageType WriteBackupOrder

  - ### TapeCatalog

    public static final QueueMessageType TapeCatalog

- ## Method Details

  - ### values

    public static QueueMessageType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static QueueMessageType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getClazz

    public Class<? extends QueueMessageEntity> getClazz()